Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class BaseURLImpl.InternalContainerURL

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.BaseURLImpl.InternalContainerURL

All Implemented Interfaces:
  ContainerURL

Enclosing class:
  BaseURLImpl

    protected abstract static class BaseURLImpl.InternalContainerURL

extends java.lang.Object
implements ContainerURL

Constructor Summary
`protected` | `BaseURLImpl.InternalContainerURL()`

Method Summary
`protected abstract java.util.Map<java.lang.String,java.lang.String[]>` | `getParameters()`
`protected abstract void` | `setParameter(java.lang.String name, java.lang.String value)`
`protected abstract void` | `setParameter(java.lang.String name, java.lang.String[] values)`
`protected abstract void` | `setParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseURLImpl.InternalContainerURL

    protected BaseURLImpl.InternalContainerURL()

Method Detail

### setParameter

    protected abstract void setParameter(java.lang.String name,
                                         java.lang.String value)

### setParameter

    protected abstract void setParameter(java.lang.String name,
                                         java.lang.String[] values)

### setParameters

    protected abstract void setParameters(java.util.Map<java.lang.String,java.lang.String[]> parameters)

### getParameters

    protected abstract java.util.Map<java.lang.String,java.lang.String[]> getParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.